org.apache.fop.util

## Class CloseBlockerOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.io.output.ProxyOutputStream
      - - org.apache.fop.util.CloseBlockerOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class CloseBlockerOutputStream
      extends org.apache.commons.io.output.ProxyOutputStream

  This is a decorator to block calls to close() to the underlying stream.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseBlockerOutputStream(OutputStream out)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from class org.apache.commons.io.output.ProxyOutputStream

      `afterWrite, beforeWrite, flush, handleIOException, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseBlockerOutputStream

          public CloseBlockerOutputStream(OutputStream out)

      Main constructor.
      Parameters:
        `out` - the underlying stream

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `org.apache.commons.io.output.ProxyOutputStream`
      Throws:
        `IOException`

Copyright © 2023 Apache Software Foundation. All rights reserved.